var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
define(["require", "exports", "./CodeBuffer", "../common"], function (require, exports, CodeBuffer_1, common_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    CodeBuffer_1 = __importDefault(CodeBuffer_1);
    function compile(options) {
        let errors = [];
        let code = '';
        const { source, rootVar, format = 'json', filePath } = options;
        const res = common_1.compileTarget(source, CodeBuffer_1.default, {
            rootVar,
            filePath,
            format
        });
        code = res.code;
        res.errors && errors.push(...res.errors);
        return {
            code,
            errors
        };
    }
    exports.compile = compile;
});
//# sourceMappingURL=index.js.map